## org.omg.CORBA.ORBPackage
Class InconsistentTypeCodeHelper

    java.lang.Object
      |
      +--org.omg.CORBA.ORBPackage.InconsistentTypeCodeHelper

public final class InconsistentTypeCodeHelper
extends java.lang.Object

Helper class for InconsistentTypeCode. This is class is in the org.omg packages from 00-02-08 which and is marked as dummy but cannot be generated from idl files.

Constructor Summary
`InconsistentTypeCodeHelper()`

Method Summary
`static InconsistentTypeCode` `extract(Any any)`
`static java.lang.String` `id()`
`static void` `insert(Any any, InconsistentTypeCode _value)`
`static InconsistentTypeCode` `read(InputStream _input)`
`static TypeCode` `type()`
`static void` `write(OutputStream _output, InconsistentTypeCode _value)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InconsistentTypeCodeHelper

    public InconsistentTypeCodeHelper()

Method Detail

### insert

    public static void insert(Any any,
                              InconsistentTypeCode _value)

### extract

    public static InconsistentTypeCode extract(Any any)

### type

    public static TypeCode type()

### id

    public static java.lang.String id()

### read

    public static InconsistentTypeCode read(InputStream _input)

### write

    public static void write(OutputStream _output,
                             InconsistentTypeCode _value)